Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class NodeInstanceDesc

    java.lang.Object
      org.droolsjbpm.services.impl.model.NodeInstanceDesc

All Implemented Interfaces:
  Serializable

    @Entity
    public class NodeInstanceDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`NodeInstanceDesc()`
`NodeInstanceDesc(long id, long nodeId, String name, String uniqueId, String type, String domainName, int sessionId, long processInstanceId, String connection)`
`NodeInstanceDesc(long id, long nodeId, String name, String uniqueId, String type, String domainName, int sessionId, long processInstanceId, String connection, boolean completed)`

Method Summary
`String` | `getConnection()`
`Date` | `getDataTimeStamp()`
`String` | `getDomainName()`
`long` | `getId()`
`String` | `getName()`
`long` | `getNodeId()`
`String` | `getNodeUniqueId()`
`long` | `getProcessInstanceId()`
`int` | `getSessionId()`
`String` | `getType()`
`boolean` | `isCompleted()`
`void` | `setCompleted(boolean completed)`
`void` | `setConnection(String incomingConnection)`
`void` | `setNodeUniqueId(String nodeUniqueId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeInstanceDesc

    public NodeInstanceDesc()

### NodeInstanceDesc

    public NodeInstanceDesc(long id,
                            long nodeId,
                            String name,
                            String uniqueId,
                            String type,
                            String domainName,
                            int sessionId,
                            long processInstanceId,
                            String connection)

### NodeInstanceDesc

    public NodeInstanceDesc(long id,
                            long nodeId,
                            String name,
                            String uniqueId,
                            String type,
                            String domainName,
                            int sessionId,
                            long processInstanceId,
                            String connection,
                            boolean completed)

Method Detail

### getId

    public long getId()

### getNodeId

    public long getNodeId()

### getName

    public String getName()

### getSessionId

    public int getSessionId()

### getProcessInstanceId

    public long getProcessInstanceId()

### getDataTimeStamp

    public Date getDataTimeStamp()

### getDomainName

    public String getDomainName()

### getType

    public String getType()

### getNodeUniqueId

    public String getNodeUniqueId()

### setNodeUniqueId

    public void setNodeUniqueId(String nodeUniqueId)

### isCompleted

    public boolean isCompleted()

### setCompleted

    public void setCompleted(boolean completed)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getConnection

    public String getConnection()

### setConnection

    public void setConnection(String incomingConnection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.